!'
!' SocketTools Library Edition
!' Version 3.0
!'
!' Copyright 1995-1998, Catalyst Development Corporation
!' All rights reserved
!'
!' This module contains the confidential and proprietary information
!' of Catalyst Development Corporation and may not be redistributed.
!'
!' This product is licensed to you pursuant to the terms of the
!' Catalyst license agreement included with the original software,
!' and is protected by copyright law and international treaties.
!' Unauthorized reproduction or distribution may result in severe
!' criminal penalties.
!'

!'
!' Current SocketTools version and build numbers
!'
CSTOOLS_VERSION_MAJOR                   EQUATE(3)
CSTOOLS_VERSION_MINOR                   EQUATE(0)
CSTOOLS_VERSION_BUILD                   EQUATE(3012)

!'
!' Common socket ports
!'
IPPORT_DOMAIN                           EQUATE(53)
IPPORT_GOPHER                           EQUATE(70)
IPPORT_HTTP                             EQUATE(80)
IPPORT_NNTP                             Equate(119)
IPPORT_POP3                             Equate(110)


!'------------------------------------------------------------------------------
!'
!' This section contains the constants for the SocketTools
!' audio library
!'
!'------------------------------------------------------------------------------

AUDIO_FORMAT_NONE                       EQUATE(0)
AUDIO_FORMAT_AIFF                       EQUATE(1)
AUDIO_FORMAT_SUN                        EQUATE(2)
AUDIO_FORMAT_VOICE                      EQUATE(3)
AUDIO_FORMAT_WAVE                       EQUATE(4)
AUDIO_FORMAT_MIDI                       EQUATE(5)
AUDIO_FORMAT_RAW                        EQUATE(6)
AUDIO_FORMAT_UNKNOWN                    EQUATE(7)

!'------------------------------------------------------------------------------
!'
!' This section contains the constants for the SocketTools
!' Domain Name Service (DNS) client library
!'
!'------------------------------------------------------------------------------

DNS_RECORD_NONE                         EQUATE(0)                !' no record type
DNS_RECORD_ADDRESS                      EQUATE(1)                !' host address
DNS_RECORD_NS                           EQUATE(2)                !' authoritative nameserver
DNS_RECORD_CNAME                        EQUATE(5)                !' connonical name
DNS_RECORD_WKS                          EQUATE(11)               !' well known service
DNS_RECORD_PTR                          EQUATE(12)               !' domain name pointer
DNS_RECORD_HINFO                        EQUATE(13)               !' host information
DNS_RECORD_MINFO                        EQUATE(14)               !' mailbox information
DNS_RECORD_MX                           EQUATE(15)               !' mail routing information
DNS_RECORD_UINFO                        EQUATE(100)              !' user information
DNS_RECORD_UID                          EQUATE(101)              !' user ID
DNS_RECORD_GID                          EQUATE(102)              !' group ID

!'------------------------------------------------------------------------------
!'
!' This section contains the constants for the SocketTools
!' File Transfer Protocol (FTP) client library
!'
!'------------------------------------------------------------------------------

FTP_REPLY_RESTMARK                      EQUATE(110)     !' restart marker reply
FTP_REPLY_NOTREADY                      EQUATE(120)     !' service available in n minutes
FTP_REPLY_DATAOPEN                      EQUATE(125)     !' data connection open, transfer started
FTP_REPLY_FILEOK                        EQUATE(150)     !' file status okay
FTP_REPLY_CMDOK                         EQUATE(200)     !' command okay
FTP_REPLY_IGNORED                       EQUATE(202)     !' command ignored
FTP_REPLY_SYSSTAT                       EQUATE(211)     !' system status
FTP_REPLY_DIRSTAT                       EQUATE(212)     !' directory status
FTP_REPLY_FILESTAT                      EQUATE(213)     !' file status
FTP_REPLY_HELPMSG                       EQUATE(214)     !' human-readable help response
FTP_REPLY_SYSTYPE                       EQUATE(215)     !' system type
FTP_REPLY_READY                         EQUATE(220)     !' service ready for new user
FTP_REPLY_CLOSED                        EQUATE(221)     !' service closing connection
FTP_REPLY_DATAOPENED                    EQUATE(225)     !' data connection open
FTP_REPLY_DATACLOSED                    EQUATE(226)     !' closing data connection
FTP_REPLY_PASVMODE                      EQUATE(227)     !' entering passive mode
FTP_REPLY_LOGIN                         EQUATE(230)     !' user logged in
FTP_REPLY_DONE                          EQUATE(250)     !' requested file action completed
FTP_REPLY_PATHCREATED                   EQUATE(257)     !' pathname created, etc.
FTP_REPLY_GETPASS                       EQUATE(331)     !' username okay, need password
FTP_REPLY_GETACCT                       EQUATE(332)     !' need account for login
FTP_REPLY_PENDING                       EQUATE(350)     !' file action pending
FTP_REPLY_NOTAVAIL                      EQUATE(421)     !' service not available
FTP_REPLY_OPENFAIL                      EQUATE(425)     !' cannot open data connection
FTP_REPLY_ABORTED                       EQUATE(426)     !' connection closed, transfer aborted
FTP_REPLY_FILEBUSY                      EQUATE(450)     !' file is not available
FTP_REPLY_LOCALERR                      EQUATE(451)     !' local error
FTP_REPLY_NOSPACE                       EQUATE(452)     !' no space on server system
FTP_REPLY_BADSYN                        EQUATE(500)     !' syntax error
FTP_REPLY_BADARG                        EQUATE(501)     !' invalid command arguments
FTP_REPLY_BADCMD                        EQUATE(502)     !' command not implemented
FTP_REPLY_BADSEQ                        EQUATE(503)     !' bad sequence of commands
FTP_REPLY_BADPARM                       EQUATE(504)     !' command parameter not implemented
FTP_REPLY_NOLOGIN                       EQUATE(530)     !' user not logged in
FTP_REPLY_ACCTREQ                       EQUATE(532)     !' account required for storing files
FTP_REPLY_NOFILE                        EQUATE(550)     !' file unavailable
FTP_REPLY_BADPAGE                       EQUATE(551)     !' page type unknown
FTP_REPLY_EXQUOTA                       EQUATE(552)     !' exceeded file storage quota
FTP_REPLY_BADFILE                       EQUATE(553)     !' invalid file name

FTP_FILE_READ                           EQUATE(0)
FTP_FILE_WRITE                          EQUATE(1)
FTP_FILE_APPEND                         EQUATE(2)
FTP_FILE_UNIQUE                         EQUATE(3)

FILE_TYPE_ASCII                         EQUATE(0)
FILE_TYPE_EBCDIC                        EQUATE(1)
FILE_TYPE_IMAGE                         EQUATE(2)

FILE_STRUCT_NONE                        EQUATE(0)
FILE_STRUCT_RECORD                      EQUATE(1)
FILE_STRUCT_PAGE                        EQUATE(2)

FILE_MODE_STREAM                        EQUATE(0)
FILE_MODE_BLOCK                         EQUATE(1)
FILE_MODE_COMPRESSED                    EQUATE(2)

FCN_RESULT                              EQUATE(1)
FCN_TRANSFER                            EQUATE(2)

!'------------------------------------------------------------------------------
!'
!' This section contains the constants for the SocketTools
!' Gopher client library
!'
!'------------------------------------------------------------------------------

GOPHER_ITEM_FILE                        EQUATE(0)
GOPHER_ITEM_DIRECTORY                   EQUATE(1)
GOPHER_ITEM_PHONEBOOK                   EQUATE(2)
GOPHER_ITEM_ERROR                       EQUATE(3)
GOPHER_ITEM_BINHEX                      EQUATE(4)
GOPHER_ITEM_DOSFILE                     EQUATE(5)
GOPHER_ITEM_UUENCODE                    EQUATE(6)
GOPHER_ITEM_INDEX                       EQUATE(7)
GOPHER_ITEM_TELNET                      EQUATE(8)
GOPHER_ITEM_BINARY                      EQUATE(9)
GOPHER_ITEM_GIF                         EQUATE(10)
GOPHER_ITEM_IMAGE                       EQUATE(11)
GOPHER_ITEM_TN3270                      EQUATE(12)
GOPHER_ITEM_UNKNOWN                     EQUATE(255)
!'------------------------------------------------------------------------------
!'
!' This section contains the constants for the SocketTools
!' Hypertext Transfer Protocol (HTTP) client library
!'
!'------------------------------------------------------------------------------

HTTP_AUTH_NONE                          EQUATE(0)
HTTP_AUTH_BASIC                         EQUATE(1)

HTTP_EVENT_CONNECT                      EQUATE(0001H)
HTTP_EVENT_DISCONNECT                   EQUATE(0002H)
HTTP_EVENT_READ                         EQUATE(0004H)
HTTP_EVENT_WRITE                        EQUATE(0008H)
HTTP_EVENT_TIMEOUT                      EQUATE(0010H)
HTTP_EVENT_CANCEL                       EQUATE(0020H)
HTTP_EVENT_COMMAND                      EQUATE(0040H)
HTTP_EVENT_PROGRESS                     EQUATE(0080H)

HTTP_COMMAND_NONE                       EQUATE(0)
HTTP_COMMAND_GET                        EQUATE(1)
HTTP_COMMAND_HEAD                       EQUATE(2)
HTTP_COMMAND_POST                       EQUATE(3)
HTTP_COMMAND_PUT                        EQUATE(4)
HTTP_COMMAND_DELETE                     EQUATE(5)

HTTP_OPTION_NONE                        EQUATE(0000H)
HTTP_OPTION_NOCACHE                     EQUATE(0001H)

HTTP_CLIENT_UNUSED                      EQUATE(0)
HTTP_CLIENT_IDLE                        EQUATE(1)
HTTP_CLIENT_CONNECTING                  EQUATE(2)
HTTP_CLIENT_READING                     EQUATE(3)
HTTP_CLIENT_WRITING                     EQUATE(4)

!'------------------------------------------------------------------------------
!'
!' This section contains the constants for the SocketTools
!' Internet Control Message Protocol (ICMP) client library
!'
!'------------------------------------------------------------------------------

ICMPMINPACKETSIZE                       EQUATE(32)
ICMPMAXPACKETSIZE                       EQUATE(512)
ICMPDEFPACKETSIZE                       EQUATE(64)
ICMPTIMEOUT                             EQUATE(3000)

!'------------------------------------------------------------------------------
!'
!' This section contains the constants for the SocketTools
!' image viewer library
!'
!'------------------------------------------------------------------------------

IMAGE_TYPE_NONE                         EQUATE(0)
IMAGE_TYPE_BITMAP                       EQUATE(1)
IMAGE_TYPE_GIF                          EQUATE(2)
IMAGE_TYPE_PCX                          EQUATE(3)
IMAGE_TYPE_JPEG                         EQUATE(4)
IMAGE_TYPE_XBM                          EQUATE(5)
IMAGE_TYPE_EXTERN                       EQUATE(6)

!'------------------------------------------------------------------------------
!'
!' This section contains the constants for the SocketTools
!' Multipurpose Internet Mail Extensions (MIME) library
!'
!'------------------------------------------------------------------------------

MIME_CONTENT_UNKNOWN                    EQUATE(0)
MIME_CONTENT_APPLICATION                EQUATE(1)
MIME_CONTENT_AUDIO                      EQUATE(2)
MIME_CONTENT_IMAGE                      EQUATE(3)
MIME_CONTENT_MESSAGE                    EQUATE(4)
MIME_CONTENT_MULTIPART                  EQUATE(5)
MIME_CONTENT_TEXT                       EQUATE(6)
MIME_CONTENT_VIDEO                      EQUATE(7)
MIME_CONTENT_DEFAULT                    EQUATE(6)

MIME_CHARSET_UNKNOWN                    EQUATE(0)
MIME_CHARSET_USASCII                    EQUATE(1)
MIME_CHARSET_ISO8859                    EQUATE(2)
MIME_CHARSET_DEFAULT                    EQUATE(1)

MIME_ENCODING_UNKNOWN                   EQUATE(0)
MIME_ENCODING_7BIT                      EQUATE(1)
MIME_ENCODING_8BIT                      EQUATE(2)
MIME_ENCODING_BINARY                    EQUATE(3)
MIME_ENCODING_QUOTED                    EQUATE(4)
MIME_ENCODING_BASE64                    EQUATE(5)
MIME_ENCODING_UUCODE                    EQUATE(6)
MIME_ENCODING_DEFAULT                   EQUATE(1)

MIME_HEADER_UNKNOWN                     EQUATE(0)
MIME_HEADER_FROM                        EQUATE(1)
MIME_HEADER_TO                          EQUATE(2)
MIME_HEADER_DATE                        EQUATE(3)
MIME_HEADER_SUBJECT                     EQUATE(4)
MIME_HEADER_CC                          EQUATE(5)
MIME_HEADER_ORGANIZATION                EQUATE(6)
MIME_HEADER_MESSAGEID                   EQUATE(7)
MIME_HEADER_VERSION                     EQUATE(8)
MIME_HEADER_CONTENT                     EQUATE(9)
MIME_HEADER_ENCODING                    EQUATE(10)
MIME_HEADER_CONTENTID                   EQUATE(11)
MIME_HEADER_DISPOSITION                 EQUATE(12)

!'------------------------------------------------------------------------------
!'
!' This section contains the constants for the SocketTools
!' Network News Transfer Protocol (NNTP) client library
!'
!'------------------------------------------------------------------------------

NNTP_REPLY_READY                        EQUATE(200)
NNTP_REPLY_SELECTED                     EQUATE(211)
NNTP_REPLY_GROUPLIST                    EQUATE(215)
NNTP_REPLY_ARTICLE                      EQUATE(220)
NNTP_REPLY_HEADER                       EQUATE(221)
NNTP_REPLY_BODY                         EQUATE(222)
NNTP_REPLY_STATUS                       EQUATE(223)
NNTP_REPLY_NEWARTICLES                  EQUATE(230)
NNTP_REPLY_NEWGROUPS                    EQUATE(231)
NNTP_REPLY_TRANSFERRED                  EQUATE(235)
NNTP_REPLY_POSTED                       EQUATE(240)
NNTP_REPLY_GROUPTITLE                   EQUATE(282)
NNTP_REPLY_XFERARTICLE                  EQUATE(335)
NNTP_REPLY_AUTHCONT                     EQUATE(350)
NNTP_REPLY_AUTHPASS                     EQUATE(381)
NNTP_REPLY_POSTARTICLE                  EQUATE(340)
NNTP_REPLY_AUTHSIMPLE                   EQUATE(450)
NNTP_REPLY_AUTHORIGIN                   EQUATE(480)

!'------------------------------------------------------------------------------
!'
!' This section contains the constants for the SocketTools
!' Post Office Protocol v3 (POP3) client library
!'
!'------------------------------------------------------------------------------

POP_MODE_TEXT                           EQUATE(0)
POP_MODE_LINEBREAK                      EQUATE(1)
POP_MODE_BINARY                         EQUATE(2)

!'------------------------------------------------------------------------------
!'
!' This section contains the constants for the SocketTools
!' Windows Sockets (SocketWrench) library
!'
!'------------------------------------------------------------------------------

INET_PROTOCOL_TCP                       EQUATE(6)
INET_PROTOCOL_UDP                       EQUATE(17)

INET_OPTION_NONE                        EQUATE(00000000H)
INET_OPTION_BROADCAST                   EQUATE(00000001H)
INET_OPTION_DONTROUTE                   EQUATE(00000002H)
INET_OPTION_KEEPALIVE                   EQUATE(00000004H)
INET_OPTION_REUSEADDR                   EQUATE(00000008H)
INET_OPTION_NODELAY                     EQUATE(00000010H)

INET_PORT_ANY                           EQUATE(0)
INET_PORT_ECHO                          EQUATE(7)
INET_PORT_FTP                           EQUATE(21)
INET_PORT_TELNET                        EQUATE(23)
INET_PORT_SMTP                          EQUATE(25)
INET_PORT_WHOIS                         EQUATE(43)
INET_PORT_POP                           EQUATE(110)
INET_PORT_NNTP                          EQUATE(119)

INET_EVENT_ACCEPT                       EQUATE(0001H)
INET_EVENT_CONNECT                      EQUATE(0002H)
INET_EVENT_DISCONNECT                   EQUATE(0004H)
INET_EVENT_READ                         EQUATE(0008H)
INET_EVENT_WRITE                        EQUATE(0010H)
INET_EVENT_TIMEOUT                      EQUATE(0020H)
INET_EVENT_CANCELED                     EQUATE(0040H)


!'------------------------------------------------------------------------------
!'
!' This section contains the constants for the SocketTools
!' Telnet client library
!'
!'------------------------------------------------------------------------------



TELNET_MODE_LOCALECHO                   EQUATE(1)
TELNET_MODE_BINARY                      EQUATE(2)

!'------------------------------------------------------------------------------
!'
!' This section contains the constants for the SocketTools
!' network virtual terminal emulation library
!'
!'------------------------------------------------------------------------------

NVT_EMULATION_NONE                      EQUATE(0)
NVT_EMULATION_ANSI                      EQUATE(1)

NVT_COLOR_NORMAL                        EQUATE(0)
NVT_COLOR_REVERSE                       EQUATE(1)
NVT_COLOR_BOLD                          EQUATE(2)
NVT_COLOR_REVERSEBOLD                   EQUATE(3)

NVT_MODE_AUTOWRAP                       EQUATE(1)
NVT_MODE_SHOWCARET                      EQUATE(2)
NVT_MODE_BLOCKCARET                     EQUATE(4)
NVT_MODE_BELL                           EQUATE(8)
NVT_MODE_CRLF                           EQUATE(16)
NVT_MODE_CRNL                           EQUATE(32)

NVT_CLEAR_EOS                           EQUATE(0)
NVT_CLEAR_TOS                           EQUATE(1)
NVT_CLEAR_ALL                           EQUATE(2)

!'------------------------------------------------------------------------------
!'
!' This section contains the constants for the SocketTools
!' Whois client library
!'
!'------------------------------------------------------------------------------

WHOIS_SEARCH_ANY                        EQUATE(0)
WHOIS_SEARCH_HANDLE                     EQUATE(1)
WHOIS_SEARCH_NAME                       EQUATE(2)
WHOIS_SEARCH_MAILBOX                    EQUATE(3)
